# $Revision: 1.32 $, $Date: 2005/09/17 11:57:46 $
Summary:	sftp: a ftp-replacement over an rsh/ssh tunnel
Summary(pl):	Zamiennik ftp dziaajcy poprzez tunel rsh/ssh
Name:		sftp
Version:	0.9.9
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://www.xbill.org/sftp/download/old/%{name}-%{version}.tar.gz
# Source0-md5:	9880c86ed928997da069bdb108bf4ad9
Patch0:		%{name}-DESTDIR.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel >= 4.1
BuildRequires:	ncurses-devel >= 5.2
URL:		http://www.xbill.org/sftp/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sftp is an ftp replacement that runs over an ssh tunnel. Two programs
are included - sftp and sftpserv. When sftp is run and a host is
connected to (either by running 'sftp remotehost' or 'open remotehost'
from the sftp prompt), an ssh connection is initiated to the remote
host, and sftpserv is run. From within sftp, all of the normal FTP
commands are present: open, close, get, put, pwd, cd, ls, lcd, quit,
etc. There's also exec, which runs a program on the remote end.

%description -l pl
sftp jest zamiennikiem ftp dziaajcym poprzez tunel ssh. Doczone s
dwa programy - sftp i sftpserv.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/sftp \
	$RPM_BUILD_ROOT%{_bindir}/sftpc
mv $RPM_BUILD_ROOT%{_mandir}/man1/sftp.1 \
	$RPM_BUILD_ROOT%{_mandir}/man1/sftpc.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sftp.spec,v $
Revision 1.32  2005/09/17 11:57:46  arekm
- new readline, 5.0

Revision 1.31  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.30  2004/10/29 08:17:38  paladine
- "FTP" unification

Revision 1.29  2004/08/18 17:05:28  undefine
- release 3

Revision 1.28  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:26:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/06 12:02:16  misi3k
- rel 2
- fix Source0 url

Revision 1.25  2002/11/29 22:46:26  ankry
- massive attack: new %%doc

Revision 1.24  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/04/29 19:19:46  pioklo
- up to 0.9.9 ,STBR

Revision 1.21  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/07/09 09:39:02  kloczek
- regenerate ac/am files.

Revision 1.17  2001/07/06 13:55:43  kloczek
- updated to 0.9.8.

Revision 1.16  2001/06/23 11:55:06  misiek
- mv sftp sftpc to avoid conflicts with openssh-server

Revision 1.15  2001/06/23 11:16:35  misiek
- updated to 0.9.7
- rebuild with new readline

Revision 1.14  2000/10/25 03:46:37  kloczek
- release 2: use new rpm automation.

Revision 1.13  2000/08/30 21:11:48  kloczek
- spec adapterized,
- updated to 0.9.6.

Revision 1.12  2000/07/13 23:22:04  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.11  2000/06/28 03:52:16  kloczek
- updated to 0.9.5,
- removed LDFLAS patch.

Revision 1.10  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 16:23:38  kloczek
- updated to 0.9.4,
- spec adapterized,
- fixed Group.

Revision 1.7  2000/04/16 07:27:05  kloczek
- updated to 0.9.

Revision 1.6  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.4  2000/03/23 12:26:00  kloczek
- updated to 0.8.1,
- build agains readline 4.1.

Revision 1.3  2000/02/15 11:54:54  kloczek
- added readline-devel to BuildRequires.

Revision 1.2  2000/02/15 11:51:10  kloczek
- completly rewrited in pLD coding style.

* Mon Feb 14 2000 Brian Wellington <bwelling@xbill.org>
- updated to 0.8
- use make install now

* Tue Jan 11 2000 Brian Wellington <bwelling@xbill.org>
- updated to 0.7

* Wed Dec 28 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.6

* Sun Dec 26 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.5

* Fri Nov 26 1999 Chris Green <sprout@dok.org>
- updated to 0.4

* Mon Nov 22 1999 Chris Green <sprout@dok.org>
- created spec
